const xiaoqu = {
  state: {
    //页面接口参数
    queryParmas: {},
    mapParmas: {
      sd: false,
      networkName: undefined,
    },
    netWorkintroduce: {},
    bottomPanel: false,
  },
  mutations: {
    SET_PANEL: (state, boolean) => {
      state.bottomPanel = !boolean;
    },
    //参数变化
    CHANGE_QUERY: (state, query) => {
      for (let key in query) {
        state.queryParmas[key] = query[key];
      }

      if (
        query.color ||
        query.type ||
        query.isd ||
        query.isk ||
        query.isx ||
        query.isj ||
        query.parentid
      )
        state.bottomPanel = false;
    },
    CHANGE_QUERY_MAP: (state, query) => {
      for (let key in query) {
        state.mapParmas[key] = query[key];
      }
    },
    SET_NETWORK_INTRODUCE: (state, data) => {
      state.netWorkintroduce = data;
    },
    //重置参数
    RESET_QUERY: (state, query) => {
      state.bottomPanel = true;
      state.netWorkintroduce = {
        intro: "",
        list: [],
      };
      state.queryParmas = {
        xiaoquId: undefined, //小区
        parentid: undefined, //网格
        buildingid: undefined, //楼栋
        deptId: undefined, //苑id
        color: undefined,
        type: undefined,
        isd: undefined,
        isk: undefined,
        isx: undefined,
        isj: undefined,
      };
    },
  },
  actions: {},
};

export default xiaoqu;
